Bug 1342561

Summary: FTBS golang-github-vishvananda-netlink on ppc64 arch for f24
Product: [Fedora] Fedora Reporter: Menanteau Guy <menantea>
Component: golang-github-vishvananda-netlinkAssignee: FridolĂ­n PokornĂ˝ <fpokorny>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: fpokorny, golang-updates, jchaloup, lsm5, vbatts
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 14:44:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880    
Attachments:
Description Flags
proposal patch none

Description Menanteau Guy 2016-06-03 14:12:54 UTC
golang-github-vishvananda-netlink-0-0.7.git1e2e08e.fc24 failed on secondary ppc64 arch
https://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=19100

with:
+ go test github.com/vishvananda/netlink/nl
--- FAIL: TestXfrmAlgoDeserializeSerialize (0.00s)
panic: runtime error: slice bounds out of range [recovered]
        panic: runtime error: slice bounds out of range

Comment 1 Menanteau Guy 2016-06-03 14:14:34 UTC
Created attachment 1164532 [details]
proposal patch

Koji scratch builds ok
primary -> http://koji.fedoraproject.org/koji/taskinfo?taskID=14366904
secondary -> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3431812

Comment 2 Menanteau Guy 2016-06-07 14:54:45 UTC
Here after is the reference my proposal to upstream https://github.com/vishvananda/netlink/pull/133

Comment 3 Menanteau Guy 2016-12-14 09:26:11 UTC
Please note that a commit has been done upstream:
https://github.com/vishvananda/netlink/commit/293adec04146bfb07bf34f75921ebc9c1ee2cd74

Comment 4 Fedora End Of Life 2017-07-25 20:59:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 14:44:49 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.